
export default {
    state: {
        openModal: false,
        openRegisterModal: false, // 简历列表的就业服务登记表开关
        openExportModal: false, // 简历登记表导出的开关
        editRegisterKey: '',
        editRegister: {
            seekername: false,
            gender: false,
            dob: false,
            title: false,
            marital: false,
            education: false
        },
        needConfirmation: false, // 显示退出确认框
    },
    reducers: {
        setOpenModal(state: any, { payload }: any) {
            return {
                ...state,
                openModal: payload
            }
        },
        setOpenRegisterModal(state: any, { payload }: any) {
            return {
                ...state,
                openRegisterModal: payload
            }
        },
        setOpenExportModal(state: any, { payload }: any) {
            return {
                ...state,
                openExportModal: payload
            }
        },
        setEditRegister(state: any, { payload }: any) {
            if (state.editRegisterKey && state.editRegisterKey !== payload.key) {
                return {
                    ...state,
                    needConfirmation: true
                }
            } else {
                return {
                    ...state,
                    editRegisterKey: payload.key,
                    editRegister: {
                        ...state.editRegister,
                        [payload.key]: true,
                    },
                    needConfirmation: false
                }
            }
        },
        confirmEditRegister(state: any, { payload }: any) {
            return {
                ...state,
                editRegisterKey: payload.key,
                editRegister: {
                    ...state.editRegister,
                    [state.editRegisterKey]: false,
                    [payload.key]: true,
                },
                needConfirmation: false
            }
        },
        cancelEditRegister(state: any) {
            return {
                ...state,
                needConfirmation: false,
            };
        },
        setQuitEditRegister(state: any) {
            return {
                ...state,
                editRegisterKey: '',
                editRegister: {
                    seekername: false,
                    gender: false,
                    dob: false,
                    title: false,
                    marital: false,
                    education: false
                },
                needConfirmation: false, // 显示退出确认框
            };
        },
        setCloseModel(state: any) {
            return {
                ...state,
                needConfirmation: false, // 显示退出确认框
            };
        },
    },
    effects: {
        *getOpenModal({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'setOpenModal',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getOpenRegisterModal({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'setOpenRegisterModal',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getOpenExportModal({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'setOpenExportModal',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getEditRegister({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'setEditRegister',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getConfirmEditRegister({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'confirmEditRegister',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getCancelEditRegister({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'cancelEditRegister',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getQuitEditRegister({ payload }: any, { put }: any): any {
            try {
                yield put({
                    type: 'setQuitEditRegister',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
        *getCloseModel({ payload }: any, { put }: any): any { // 及时关闭弹框
            try {
                yield put({
                    type: 'setCloseModel',
                    payload: payload
                })
            } catch (error) {
                console.log(error)
            }
        },
    }
}
